Logo of SermonSpeaker Extension Claim

Login Form

× Support for SermonSpeaker 3.x is canceled as it is for Joomla 1.5. I will gladly assist you with minor issues but I will not fix any bugs anymore in this releases.
The fix is to upgrade to SermonSpeaker 4.x, which is better anyway.

Download sermon only works some times.

More
5 years 11 months ago #2791 by Steve
No errors reporting

Please Log in or Create an account to join the conversation.

More
5 years 11 months ago #2792 by Andrei Chernyshev
Thomas could it be his SEF?
The following user(s) said Thank You: Steve

Please Log in or Create an account to join the conversation.

More
5 years 11 months ago #2793 by Thomas Hunziker
The download audio plugin stuff works because it directly access the file.
The download button works a bit different, this is so the file is offered for download and doesn't automatically open in the browser like a plain link would do.

The button loads the following link when clicked:

www.parkdalegrace.ca/index.php?option=co...sk=download&id=10340

Only the id of the sermon changes.

The download function then makes some checks and a database query to get the file. Since the file is offered for download and doesn't terminate with an error, it looks like the server finds the file. There are only two php functions left which could fail for some reason:
  • filesize()
  • readfile()
I really have no clue what it could be.

Anyway: Best bet would be to upgrade your site anyway. Joomla 1.5 is no longer maintained and SermonSpeaker 3.4.3 came out almost two years ago. And I think you're even using 3.4.2.
So instead of trying to fix a bug in an old unsupported version of the CMS and extension, you probably should try to upgrade your site.

@Andrei: SEF shouldn't be an issue here as the link is built without SEF anyway.

Feel free to rate SermonSpeaker on JED .
Useful documentation for beginners: First Steps & FAQ
How to say "Thank You!": Contribute or support using the Donate button at the bottom of each page.
The following user(s) said Thank You: Steve

Please Log in or Create an account to join the conversation.

More
5 years 11 months ago #2794 by Steve
I plan on updating to joomla 3.0 I just didn't want to do it so soon lol.

Thanks a lot for the help guys.

Please Log in or Create an account to join the conversation.

More
5 years 11 months ago #2795 by Thomas Hunziker
Actually, for a productive site you should update to Joomla 2.5, not Joomla 3.0. Joomla 3.0 is aa short term release which is only supported for about half a year, while Joomla 2.5 is a long term which will be supported till Joomla 3.5 comes out in around 2 years.

Also updating from Joomla 2.5 to 3.0 (and 3.5 when it comes out) will be done using the Joomla updater. So it's nothing like the migration between Joomla 1.5 and 2.5.

Feel free to rate SermonSpeaker on JED .
Useful documentation for beginners: First Steps & FAQ
How to say "Thank You!": Contribute or support using the Donate button at the bottom of each page.

Please Log in or Create an account to join the conversation.

More
5 years 11 months ago #2796 by Thomas Hunziker
I just released SermonSpeaker 3.4.4 which includes support for jUpgrade. This should make it a bit easier to migrate SermonSpeaker.

Read the announcement post for more informations.

Feel free to rate SermonSpeaker on JED .
Useful documentation for beginners: First Steps & FAQ
How to say "Thank You!": Contribute or support using the Donate button at the bottom of each page.

Please Log in or Create an account to join the conversation.

Time to create page: 0.105 seconds
Powered by Kunena Forum